Bug 76600 - dateconfig doesn't say how often it syncs with ntp server
dateconfig doesn't say how often it syncs with ntp server
Product: Red Hat Linux
Classification: Retired
Component: dateconfig (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2002-10-23 19:20 EDT by Yuting Kuo
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-23 19:21:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yuting Kuo 2002-10-23 19:20:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When choosing to sync with an NTP server for system time, the dialog gives no
indication how often ntpd (the daemon) syncs with the server.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Goto System Settings -> Date & Time
2.Select Enable Network Time Protocol and specify the server name
3.Click OK

Actual Results:  There is no indication whether the time is synchronized or when
the next synchronization will take place.

Expected Results:  Some indication of whether the synchronization is successful,
and how often the time will be synchronized. Possibly let the user to customize
the frequency it runs.

Additional info:
Comment 1 Brent Fox 2002-10-24 09:44:52 EDT
This is more detail than I want to go into with the user interface.  It's
designed to be a really simple way to let people use a time server, similar to
what Mac and Windows do.  There are a jillion options to ntp and to start down
the road of exposing some of the complexity of ntp to the user interface will
complicate the UI quickly.

Basically if you need that kind of fine grained control, then you need to edit
ntp.conf by hand.
Comment 2 Yuting Kuo 2002-10-24 10:02:40 EDT
I agree UI should be kept simple. A good UI design also requires appropriate
feedback to the user. My suggestion was merely to introduce text saying "how
often" the time will be synchronized. And possibly adding a "Successful" notice
once completed.

Of course this is a minor issue. For now I'll stick with ntf.conf.

Note You need to log in before you can comment on or make changes to this bug.